Index: trunk/lib/FlairFilter/src/NestedSat.cpp
===================================================================
--- trunk/lib/FlairFilter/src/NestedSat.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/NestedSat.cpp	(revision 15)
@@ -27,36 +27,26 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-NestedSat::NestedSat(const LayoutPosition* position,string name) : ControlLaw(position->getLayout(),name)
-{
-    pimpl_=new NestedSat_impl(this,position,name);
+NestedSat::NestedSat(const LayoutPosition *position, string name)
+    : ControlLaw(position->getLayout(), name) {
+  pimpl_ = new NestedSat_impl(this, position, name);
 }
 
-NestedSat::~NestedSat(void)
-{
-    delete pimpl_;
+NestedSat::~NestedSat(void) { delete pimpl_; }
+
+void NestedSat::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(output);
 }
 
-void NestedSat::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(output);
+void NestedSat::SetValues(float p_ref, float p, float d) {
+  input->SetValue(0, 0, p_ref);
+  input->SetValue(1, 0, p);
+  input->SetValue(2, 0, d);
 }
-
-void NestedSat::SetValues(float p_ref,float p,float d)
-{
-    input->SetValue(0,0,p_ref);
-    input->SetValue(1,0,p);
-    input->SetValue(2,0,d);
-}
-//TODO: add a combobox to choose between rad and deg
-void NestedSat::ConvertSatFromDegToRad(void)
-{
-    pimpl_->k=Euler::ToRadian(1);
-}
+// TODO: add a combobox to choose between rad and deg
+void NestedSat::ConvertSatFromDegToRad(void) { pimpl_->k = Euler::ToRadian(1); }
 
 } // end namespace filter
Index: trunk/lib/FlairFilter/src/NestedSat.h
===================================================================
--- trunk/lib/FlairFilter/src/NestedSat.h	(revision 14)
+++ trunk/lib/FlairFilter/src/NestedSat.h	(revision 15)
@@ -16,86 +16,83 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class Layout;
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class Layout;
+class LayoutPosition;
+}
 }
 
 class NestedSat_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class NestedSat
-    *
-    * \brief  Class defining a PID with saturations
-    *
-    * The output of this control law is calculated
-    * as follows: \n
-    * p_ref=Sat(p_ref,k*sat_ref) \n
-    * d_ref=Sat[(p_ref-p)*kp,k*sat_dref] \n
-    * law=Sat[(d-d_ref)*kd,sat_u] \n
-    * where p, p_ref and d are input values (see SetValues()), \n
-    * where sat_ref, sat_dref and sat_u are settings availables on the ground station, \n
-    * where k is a conversion factor (see ConvertSatFromDegToRad()).
-    */
-    class NestedSat : public ControlLaw
-    {
-        friend class ::NestedSat_impl;
+namespace flair {
+namespace filter {
+/*! \class NestedSat
+*
+* \brief  Class defining a PID with saturations
+*
+* The output of this control law is calculated
+* as follows: \n
+* p_ref=Sat(p_ref,k*sat_ref) \n
+* d_ref=Sat[(p_ref-p)*kp,k*sat_dref] \n
+* law=Sat[(d-d_ref)*kd,sat_u] \n
+* where p, p_ref and d are input values (see SetValues()), \n
+* where sat_ref, sat_dref and sat_u are settings availables on the ground
+*station, \n
+* where k is a conversion factor (see ConvertSatFromDegToRad()).
+*/
+class NestedSat : public ControlLaw {
+  friend class ::NestedSat_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a NestedSat at given place position. \n
-            * The NestedSat will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            NestedSat(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a NestedSat at given place position. \n
+  * The NestedSat will automatically be child of position->getLayout() Layout.
+  *After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  NestedSat(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~NestedSat();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~NestedSat();
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p_ref proportional reference
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p_ref,float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p_ref proportional reference
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p_ref, float p, float d);
 
-            /*!
-            * \brief Convert saturation parameters in radians
-            *
-            * If this function is called, saturation parameters
-            * on the ground station will be interpreted as degrees. \n
-            * Thus, an internal conversion from degrees to radians will
-            * be done (k=PI/180).
-            */
-            void ConvertSatFromDegToRad(void);
+  /*!
+  * \brief Convert saturation parameters in radians
+  *
+  * If this function is called, saturation parameters
+  * on the ground station will be interpreted as degrees. \n
+  * Thus, an internal conversion from degrees to radians will
+  * be done (k=PI/180).
+  */
+  void ConvertSatFromDegToRad(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            NestedSat_impl* pimpl_;
-    };
+  NestedSat_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/NestedSat_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/NestedSat_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/NestedSat_impl.cpp	(revision 15)
@@ -28,47 +28,47 @@
 using namespace flair::filter;
 
-NestedSat_impl::NestedSat_impl(NestedSat* self,const LayoutPosition* position,string name)
-{
-    this->self=self;
-	k=1;
+NestedSat_impl::NestedSat_impl(NestedSat *self, const LayoutPosition *position,
+                               string name) {
+  this->self = self;
+  k = 1;
 
-    //init matrix
-    self->input=new cvmatrix(self,3,1,floatType,name);
+  // init matrix
+  self->input = new cvmatrix(self, 3, 1, floatType, name);
 
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-            sat=new DoubleSpinBox(reglages_groupbox->NewRow(),"sat ref:",0,9000000,1);
-            kp=new DoubleSpinBox(reglages_groupbox->NewRow(),"kp:",0,9000000,1);
-            dsat=new DoubleSpinBox(reglages_groupbox->NewRow(),"sat dref:",0,9000000,1);
-            kd=new DoubleSpinBox(reglages_groupbox->NewRow(),"kd:",0,9000000,0.1);
-            usat=new DoubleSpinBox(reglages_groupbox->NewRow(),"sat u:",0,1,.1);
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  sat =
+      new DoubleSpinBox(reglages_groupbox->NewRow(), "sat ref:", 0, 9000000, 1);
+  kp = new DoubleSpinBox(reglages_groupbox->NewRow(), "kp:", 0, 9000000, 1);
+  dsat = new DoubleSpinBox(reglages_groupbox->NewRow(), "sat dref:", 0, 9000000,
+                           1);
+  kd = new DoubleSpinBox(reglages_groupbox->NewRow(), "kd:", 0, 9000000, 0.1);
+  usat = new DoubleSpinBox(reglages_groupbox->NewRow(), "sat u:", 0, 1, .1);
 }
 
-NestedSat_impl::~NestedSat_impl(void)
-{
+NestedSat_impl::~NestedSat_impl(void) {}
+
+void NestedSat_impl::UpdateFrom(const io_data *data) {
+  float cons, dcons, law;
+  cvmatrix *input = (cvmatrix *)data;
+
+  input->GetMutex();
+
+  cons = Sat(input->ValueNoMutex(0, 0), k * sat->Value());
+  dcons = (cons - input->ValueNoMutex(1, 0)) * kp->Value();
+  dcons = Sat(dcons, k * dsat->Value());
+  law = (input->ValueNoMutex(2, 0) - dcons) * kd->Value();
+  law = Sat(law, usat->Value());
+
+  input->ReleaseMutex();
+
+  self->output->SetValue(0, 0, law);
+  self->output->SetDataTime(data->DataTime());
 }
 
-void NestedSat_impl::UpdateFrom(const io_data *data)
-{
-    float cons,dcons,law;
-    cvmatrix *input=(cvmatrix*)data;
-
-    input->GetMutex();
-
-    cons=Sat(input->ValueNoMutex(0,0),k*sat->Value());
-    dcons=(cons-input->ValueNoMutex(1,0))*kp->Value();
-    dcons=Sat(dcons,k*dsat->Value());
-    law=(input->ValueNoMutex(2,0)-dcons)*kd->Value();
-    law=Sat(law,usat->Value());
-
-    input->ReleaseMutex();
-
-    self->output->SetValue(0,0,law);
-    self->output->SetDataTime(data->DataTime());
+float NestedSat_impl::Sat(float value, float borne) {
+  if (value < -borne)
+    return -borne;
+  if (value > borne)
+    return borne;
+  return value;
 }
-
-float NestedSat_impl::Sat(float value,float borne)
-{
-    if(value<-borne) return -borne;
-    if(value>borne) return borne;
-    return value;
-}
Index: trunk/lib/FlairFilter/src/Pid.cpp
===================================================================
--- trunk/lib/FlairFilter/src/Pid.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/Pid.cpp	(revision 15)
@@ -26,33 +26,32 @@
 using namespace flair::gui;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-Pid::Pid(const LayoutPosition* position,string name) : ControlLaw(position->getLayout(),name) {
-    pimpl_=new Pid_impl(this,position,name);
+Pid::Pid(const LayoutPosition *position, string name)
+    : ControlLaw(position->getLayout(), name) {
+  pimpl_ = new Pid_impl(this, position, name);
 }
 
-Pid::~Pid(void) {
-    delete pimpl_;
-}
+Pid::~Pid(void) { delete pimpl_; }
 
-void Pid::UseDefaultPlot(const gui::LayoutPosition* position) {
-    pimpl_->UseDefaultPlot(position);
+void Pid::UseDefaultPlot(const gui::LayoutPosition *position) {
+  pimpl_->UseDefaultPlot(position);
 }
 
 void Pid::Reset(void) {
-    pimpl_->i=0;
-    pimpl_->first_update=true;
+  pimpl_->i = 0;
+  pimpl_->first_update = true;
 }
 
 void Pid::UpdateFrom(const io_data *data) {
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(output);
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(output);
 }
 
-void Pid::SetValues(float p,float d) {
-    input->SetValue(0,0,p);
-    input->SetValue(1,0,d);
+void Pid::SetValues(float p, float d) {
+  input->SetValue(0, 0, p);
+  input->SetValue(1, 0, d);
 }
-
 
 } // end namespace filter
Index: trunk/lib/FlairFilter/src/Pid.h
===================================================================
--- trunk/lib/FlairFilter/src/Pid.h	(revision 14)
+++ trunk/lib/FlairFilter/src/Pid.h	(revision 15)
@@ -16,84 +16,81 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class Pid_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class Pid
-    *
-    * \brief Class defining a PID
-    */
-    class Pid : public ControlLaw
-    {
-        friend class ::Pid_impl;
+namespace flair {
+namespace filter {
+/*! \class Pid
+*
+* \brief Class defining a PID
+*/
+class Pid : public ControlLaw {
+  friend class ::Pid_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a PID at given position. \n
-            * The PID will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            Pid(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a PID at given position. \n
+  * The PID will automatically be child of position->getLayout() Layout. After
+  *calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  Pid(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Pid();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Pid();
 
-            /*!
-            * \brief Reset integral
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset integral
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p, float d);
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values at position. \n
-            * Plot consists of 4 curves: proportional part,
-            * derivative part, integral part and
-            * the sum of the three. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values at position. \n
+  * Plot consists of 4 curves: proportional part,
+  * derivative part, integral part and
+  * the sum of the three. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  void UseDefaultPlot(const gui::LayoutPosition *position);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            Pid_impl* pimpl_;
-    };
+  Pid_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/PidThrust.cpp
===================================================================
--- trunk/lib/FlairFilter/src/PidThrust.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/PidThrust.cpp	(revision 15)
@@ -27,86 +27,59 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-PidThrust::PidThrust(const LayoutPosition* position,string name) : ControlLaw(position->getLayout(),name)
-{
-    pimpl_=new PidThrust_impl(this,position,name);
+PidThrust::PidThrust(const LayoutPosition *position, string name)
+    : ControlLaw(position->getLayout(), name) {
+  pimpl_ = new PidThrust_impl(this, position, name);
 }
 
-PidThrust::~PidThrust(void)
-{
-    delete pimpl_;
-}
+PidThrust::~PidThrust(void) { delete pimpl_; }
 
-void PidThrust::UseDefaultPlot(const flair::gui::LayoutPosition* position)
-{
-    pimpl_->UseDefaultPlot(position);
+void PidThrust::UseDefaultPlot(const flair::gui::LayoutPosition *position) {
+  pimpl_->UseDefaultPlot(position);
 }
 
 void PidThrust::Reset(void) {
-    pimpl_->i=0;
-    pimpl_->offset_g=0;
+  pimpl_->i = 0;
+  pimpl_->offset_g = 0;
 }
 
-void PidThrust::ResetI(void)
-{
-    pimpl_->i=0;
+void PidThrust::ResetI(void) { pimpl_->i = 0; }
+
+float PidThrust::GetOffset(void) { return pimpl_->offset_g; }
+
+void PidThrust::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(output);
 }
 
-float PidThrust::GetOffset(void) {
-    return pimpl_->offset_g;
+void PidThrust::SetValues(float p, float d) {
+  input->SetValue(0, 0, p);
+  input->SetValue(1, 0, d);
 }
 
-void PidThrust::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(output);
+void PidThrust::ResetOffset(void) { pimpl_->offset_g = 0; }
+
+void PidThrust::SetOffset(void) { pimpl_->offset_g = pimpl_->offset->Value(); }
+
+bool PidThrust::OffsetStepUp(void) {
+  pimpl_->offset_g += pimpl_->pas_offset->Value();
+  if (pimpl_->offset_g > 1) {
+    pimpl_->offset_g = 1;
+    return false;
+  } else {
+    return true;
+  }
 }
 
-void PidThrust::SetValues(float p,float d)
-{
-    input->SetValue(0,0,p);
-    input->SetValue(1,0,d);
-}
-
-void PidThrust::ResetOffset(void)
-{
-    pimpl_->offset_g=0;
-}
-
-void PidThrust::SetOffset(void)
-{
-    pimpl_->offset_g=pimpl_->offset->Value();
-}
-
-bool PidThrust::OffsetStepUp(void)
-{
-    pimpl_->offset_g+=pimpl_->pas_offset->Value();
-    if(pimpl_->offset_g>1)
-    {
-        pimpl_->offset_g=1;
-        return false;
-    }
-    else
-    {
-        return true;
-    }
-}
-
-bool PidThrust::OffsetStepDown(void)
-{
-    pimpl_->offset_g-=pimpl_->pas_offset->Value();
-    if(pimpl_->offset_g<pimpl_->offset->Value())
-    {
-        pimpl_->offset_g=pimpl_->offset->Value();
-        return false;
-    }
-    else
-    {
-        return true;
-    }
+bool PidThrust::OffsetStepDown(void) {
+  pimpl_->offset_g -= pimpl_->pas_offset->Value();
+  if (pimpl_->offset_g < pimpl_->offset->Value()) {
+    pimpl_->offset_g = pimpl_->offset->Value();
+    return false;
+  } else {
+    return true;
+  }
 }
 
Index: trunk/lib/FlairFilter/src/PidThrust.h
===================================================================
--- trunk/lib/FlairFilter/src/PidThrust.h	(revision 14)
+++ trunk/lib/FlairFilter/src/PidThrust.h	(revision 15)
@@ -16,124 +16,122 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class PidThrust_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class PidThrust
-    *
-    * \brief Class defining a Pid for Thrust.\n
-    * This Pid as an extra offset for compensating gravity.
-    */
-    class PidThrust : public ControlLaw
-    {
-        friend class ::PidThrust_impl;
+namespace flair {
+namespace filter {
+/*! \class PidThrust
+*
+* \brief Class defining a Pid for Thrust.\n
+* This Pid as an extra offset for compensating gravity.
+*/
+class PidThrust : public ControlLaw {
+  friend class ::PidThrust_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a PidThrust at given position
-            * The PidThrust will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            PidThrust(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a PidThrust at given position
+  * The PidThrust will automatically be child of position->getLayout() Layout.
+  *After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  PidThrust(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~PidThrust();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~PidThrust();
 
-            /*!
-            * \brief Reset integral and offset to 0
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset integral and offset to 0
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Reset integral to 0
-            *
-            */
-            void ResetI(void);
+  /*!
+  * \brief Reset integral to 0
+  *
+  */
+  void ResetI(void);
 
-            /*!
-            * \brief Reset offset to 0
-            *
-            */
-            void ResetOffset(void);
+  /*!
+  * \brief Reset offset to 0
+  *
+  */
+  void ResetOffset(void);
 
-            /*!
-            * \brief Set offset to specified value in ground station
-            *
-            */
-            void SetOffset(void);
+  /*!
+  * \brief Set offset to specified value in ground station
+  *
+  */
+  void SetOffset(void);
 
-            /*!
-            * \brief Get offset
-            *
-            * \return current offset
-            */
-            float GetOffset(void);
+  /*!
+  * \brief Get offset
+  *
+  * \return current offset
+  */
+  float GetOffset(void);
 
-            /*!
-            * \brief Step up the offset according to specified value in ground station
-            *
-            * \return false if offset is at its maximum (1) value, true otherwise
-            */
-            bool OffsetStepUp(void);
+  /*!
+  * \brief Step up the offset according to specified value in ground station
+  *
+  * \return false if offset is at its maximum (1) value, true otherwise
+  */
+  bool OffsetStepUp(void);
 
-            /*!
-            * \brief Step down the offset according to specified value in ground station
-            *
-            * \return false if offset is at its minimum (specified in ground station) value, true otherwise
-            */
-            bool OffsetStepDown(void);
+  /*!
+  * \brief Step down the offset according to specified value in ground station
+  *
+  * \return false if offset is at its minimum (specified in ground station)
+  *value, true otherwise
+  */
+  bool OffsetStepDown(void);
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p, float d);
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values at position. \n
-            * Plot consists of 4 curves: proportional part,
-            * derivative part, integral part and
-            * the sum of the three. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values at position. \n
+  * Plot consists of 4 curves: proportional part,
+  * derivative part, integral part and
+  * the sum of the three. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  void UseDefaultPlot(const gui::LayoutPosition *position);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            PidThrust_impl* pimpl_;
-    };
+  PidThrust_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/PidThrust_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/PidThrust_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/PidThrust_impl.cpp	(revision 15)
@@ -28,90 +28,92 @@
 using namespace flair::filter;
 
-PidThrust_impl::PidThrust_impl(PidThrust* self,const LayoutPosition* position,string name) {
-    i=0;
-    offset_g=0;
-	first_update=true;
-	this->self=self;
+PidThrust_impl::PidThrust_impl(PidThrust *self, const LayoutPosition *position,
+                               string name) {
+  i = 0;
+  offset_g = 0;
+  first_update = true;
+  this->self = self;
 
-    //init matrix
-    self->input=new cvmatrix(self,2,1,floatType,name);
+  // init matrix
+  self->input = new cvmatrix(self, 2, 1, floatType, name);
 
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(5,1);
-    desc->SetElementName(0,0,"p");
-	desc->SetElementName(1,0,"i");
-	desc->SetElementName(2,0,"d");
-	desc->SetElementName(3,0,"p+i+d");
-	desc->SetElementName(4,0,"p+i+d+offset");
-    state=new cvmatrix(self,desc,floatType,name);
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(5, 1);
+  desc->SetElementName(0, 0, "p");
+  desc->SetElementName(1, 0, "i");
+  desc->SetElementName(2, 0, "d");
+  desc->SetElementName(3, 0, "p+i+d");
+  desc->SetElementName(4, 0, "p+i+d+offset");
+  state = new cvmatrix(self, desc, floatType, name);
 
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-            T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto"," s",0,1,0.01);
-            kp=new DoubleSpinBox(reglages_groupbox->NewRow(),"kp:",0,90000000,0.01);
-            ki=new DoubleSpinBox(reglages_groupbox->NewRow(),"ki:",0,90000000,0.01);
-            sati=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"sat i:",0,1,0.01);
-            kd=new DoubleSpinBox(reglages_groupbox->NewRow(),"kd:",0,90000000,0.01);
-            offset=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"offset g:",0,1,0.01);
-            sat=new DoubleSpinBox(reglages_groupbox->NewRow(),"sat:",0,1,0.1);
-            pas_offset=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"offset step:",0,1,.0001,4);
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto", " s",
+                        0, 1, 0.01);
+  kp = new DoubleSpinBox(reglages_groupbox->NewRow(), "kp:", 0, 90000000, 0.01);
+  ki = new DoubleSpinBox(reglages_groupbox->NewRow(), "ki:", 0, 90000000, 0.01);
+  sati = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(), "sat i:", 0, 1,
+                           0.01);
+  kd = new DoubleSpinBox(reglages_groupbox->NewRow(), "kd:", 0, 90000000, 0.01);
+  offset = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(), "offset g:",
+                             0, 1, 0.01);
+  sat = new DoubleSpinBox(reglages_groupbox->NewRow(), "sat:", 0, 1, 0.1);
+  pas_offset = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                                 "offset step:", 0, 1, .0001, 4);
 }
 
-PidThrust_impl::~PidThrust_impl(void) {
+PidThrust_impl::~PidThrust_impl(void) {}
+
+void PidThrust_impl::UseDefaultPlot(const LayoutPosition *position) {
+  DataPlot1D *plot = new DataPlot1D(position, self->ObjectName(), -1, 1);
+  plot->AddCurve(state->Element(0));
+  plot->AddCurve(state->Element(1), DataPlot::Green);
+  plot->AddCurve(state->Element(2), DataPlot::Blue);
+  plot->AddCurve(state->Element(3), DataPlot::Black);
+  plot->AddCurve(state->Element(4), DataPlot::Yellow);
 }
 
-void PidThrust_impl::UseDefaultPlot(const LayoutPosition* position)
-{
-    DataPlot1D *plot=new DataPlot1D(position,self->ObjectName(),-1,1);
-            plot->AddCurve(state->Element(0));
-            plot->AddCurve(state->Element(1),DataPlot::Green);
-            plot->AddCurve(state->Element(2),DataPlot::Blue);
-            plot->AddCurve(state->Element(3),DataPlot::Black);
-            plot->AddCurve(state->Element(4),DataPlot::Yellow);
+void PidThrust_impl::UpdateFrom(const io_data *data) {
+  float p, d, total;
+  float delta_t;
+  cvmatrix *input = (cvmatrix *)data;
+
+  if (T->Value() == 0) {
+    delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+  } else {
+    delta_t = T->Value();
+  }
+  if (first_update == true) {
+    delta_t = 0;
+    first_update = false;
+  }
+
+  input->GetMutex();
+  p = kp->Value() * input->ValueNoMutex(0, 0);
+  i += ki->Value() * input->ValueNoMutex(0, 0) * delta_t;
+  if (i > sati->Value())
+    i = sati->Value();
+  if (i < -sati->Value())
+    i = -sati->Value();
+  d = kd->Value() * input->ValueNoMutex(1, 0);
+  input->ReleaseMutex();
+
+  total = p + i + d;
+  if (total > sat->Value())
+    total = sat->Value();
+  if (total < -sat->Value())
+    total = -sat->Value();
+
+  state->GetMutex();
+  state->SetValueNoMutex(0, 0, p);
+  state->SetValueNoMutex(1, 0, i);
+  state->SetValueNoMutex(2, 0, d);
+  state->SetValueNoMutex(3, 0, total);
+  state->SetValueNoMutex(4, 0, total - offset_g * offset_g);
+  state->ReleaseMutex();
+
+  //-offset_g, car on met -u_z dans le multiplex
+  // a revoir!
+  self->output->SetValue(0, 0, total - offset_g * offset_g);
+  self->output->SetDataTime(data->DataTime());
+
+  previous_time = data->DataTime();
 }
-
-void PidThrust_impl::UpdateFrom(const io_data *data)
-{
-    float p,d,total;
-    float delta_t;
-    cvmatrix *input=(cvmatrix*)data;
-
-    if(T->Value()==0)
-    {
-        delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-    }
-    else
-    {
-        delta_t=T->Value();
-    }
-    if(first_update==true)
-    {
-        delta_t=0;
-        first_update=false;
-    }
-
-    input->GetMutex();
-    p=kp->Value()*input->ValueNoMutex(0,0);
-    i+=ki->Value()*input->ValueNoMutex(0,0)*delta_t;
-    if(i>sati->Value()) i=sati->Value();
-    if(i<-sati->Value()) i=-sati->Value();
-    d=kd->Value()*input->ValueNoMutex(1,0);
-    input->ReleaseMutex();
-
-    total=p+i+d;
-    if(total>sat->Value()) total=sat->Value();
-    if(total<-sat->Value()) total=-sat->Value();
-
-    state->GetMutex();
-    state->SetValueNoMutex(0,0,p);
-    state->SetValueNoMutex(1,0,i);
-    state->SetValueNoMutex(2,0,d);
-    state->SetValueNoMutex(3,0,total);
-    state->SetValueNoMutex(4,0,total-offset_g*offset_g);
-    state->ReleaseMutex();
-
-    //-offset_g, car on met -u_z dans le multiplex
-    //a revoir!
-    self->output->SetValue(0,0,total-offset_g*offset_g);
-    self->output->SetDataTime(data->DataTime());
-
-    previous_time=data->DataTime();
-}
